
From: Jens Axboe <axboe@suse.de>

Fix queue initialisation for the cciss driver.


 drivers/block/cciss.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/block/cciss.c~cciss-queue-init-fix drivers/block/cciss.c
--- 25/drivers/block/cciss.c~cciss-queue-init-fix	2003-08-26 11:04:10.000000000 -0700
+++ 25-akpm/drivers/block/cciss.c	2003-08-26 11:04:10.000000000 -0700
@@ -2525,6 +2525,9 @@ err_all:
 	if (!q)
 		goto err_all;
 
+	hba[i]->queue = q;
+	q->queuedata = hba[i];
+
 	/* Initialize the pdev driver private data. 
 		have it point to hba[i].  */
 	pci_set_drvdata(pdev, hba[i]);
@@ -2545,7 +2548,6 @@ err_all:
 
 	cciss_procinit(i);
 
-        q->queuedata = hba[i];
 	blk_queue_bounce_limit(q, hba[i]->pdev->dma_mask);
 
 	/* This is a hardware imposed limit. */

_
